Get lead detail
Returns the full lead record including all standard fields, custom fields, and enrichment data.
curl -X GET "https://api.sendkit.ai/v1/leads/example_string" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.sendkit.ai/v1/leads/example_string"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.sendkit.ai/v1/leads/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.sendkit.ai/v1/leads/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.sendkit.ai/v1/leads/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"_id": "665d4e5f6a7b8c9d0e1f2a3b",
"email": "john@acme.com",
"firstName": "John",
"lastName": "Doe",
"fullName": "John Doe",
"companyName": "Acme Corp",
"companyDomain": "acme.com",
"jobTitle": "VP of Sales",
"department": "Sales",
"phoneNumber": "+1-555-123-4567",
"linkedinUrl": "https://linkedin.com/in/johndoe",
"twitterUrl": null,
"city": "San Francisco",
"state": "CA",
"country": "US",
"timezone": "America/Los_Angeles",
"tags": [
"vip",
"enterprise"
],
"notes": "Met at SaaStr conference",
"emailVerified": true,
"emailVerificationResult": "deliverable",
"emailConfidenceScore": 98,
"emailIsCatchAll": false,
"segProtected": true,
"segProvider": "proofpoint",
"segProviderName": "Proofpoint",
"segCheckedAt": "2025-06-14T12:00:00.000Z",
"lastEnrichedAt": "2025-06-14T12:00:00.000Z",
"customFields": {
"industry": "SaaS",
"revenue": "$10M"
},
"importSource": "csv",
"importedAt": "2025-06-10T10:30:00.000Z",
"userId": "664f0a1b2c3d4e5f6a7b8c9d",
"workspaceId": "664f0a1b2c3d4e5f6a7b8c9e",
"createdAt": "2025-06-10T10:30:00.000Z",
"updatedAt": "2025-06-15T14:00:00.000Z"
}
}
{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Lead not found"
}
}
/v1/leads/{leadId}Platform API key (sk_user_...) or Workspace API key (sk_...)
Lead ID
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)
Path Parameters
Lead ID
Responses
Whether the email has been verified via an enrichment provider
Result of the most recent email verification check
deliverableundeliverableriskyunknownConfidence score (0-100) for the email verification result
True if the recipient domain accepts all inbound emails (catch-all configuration)
Whether the recipient's email is protected by a Secure Email Gateway (SEG). null if SEG detection has not been run.
Short identifier for the detected SEG provider
proofpointmimecastbarracudaciscoforcepointsophostrendmicrosymantecmcafeemicrosoft_atpgoogle_postiniHuman-readable name of the detected SEG provider
ProofpointMimecastBarracudaCisco IronPortForcepointSophosTrend MicroSymantecMcAfeeMicrosoftGoogle PostiniTimestamp of the most recent SEG detection check
Timestamp of the most recent enrichment run on this lead
Lead not found
Last updated today
Built with Documentation.AI